cereal::JSONOutputArchive::Options Class Reference

A class containing various advanced options for the JSON archive. More...

`#include </home/shane/workspace/cereal/include/cereal/archives/json.hpp>`

## Public Types

enum | IndentChar : char { space = ' ', tab = '\t', newline = '\n', carriage_return = '\r' }
| The character to use for indenting.

## Public Member Functions

| Options (int precision=JSONWriter::kDefaultMaxDecimalPlaces, IndentChar indentChar=IndentChar::space, unsigned int indentLength=4)
| Specify specific options for the JSONOutputArchive. More...

## Static Public Member Functions

static Options | Default ()
| Default options.
static Options | NoIndent ()
| Default options with no indentation.

## Friends

class | JSONOutputArchive

## Detailed Description

A class containing various advanced options for the JSON archive.

## Constructor & Destructor Documentation

## Options()

cereal::JSONOutputArchive::Options::Options | ( | int | precision = `JSONWriter::kDefaultMaxDecimalPlaces`,
|  | IndentChar | indentChar = `IndentChar::space`,
|  | unsigned int | indentLength = `4`
| ) |  |

inlineexplicit

Specify specific options for the JSONOutputArchive.

Parameters

  precision | The precision used for floating point numbers
  indentChar | The type of character to indent with
  indentLength | The number of indentChar to use for indentation (0 corresponds to no indentation)

The documentation for this class was generated from the following file:

- /home/shane/workspace/cereal/include/cereal/archives/json.hpp